User Tools

Site Tools


cluster:213

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
cluster:213 [2022/07/25 09:19]
hmeij07 [Amber20]
cluster:213 [2022/07/25 14:52] (current)
hmeij07 [Amber22]
Line 266: Line 266:
  
 <code> <code>
 +
 +# First **all the necessary packages ** (yum install...)
  
  988  tar xvfj ../AmberTools21.tar.bz2   988  tar xvfj ../AmberTools21.tar.bz2 
Line 339: Line 341:
  
 <code> <code>
 +
 +# First **all the necessary packages ** (yum install...)
  
  988  tar xvfj ../AmberTools22.tar.bz2   988  tar xvfj ../AmberTools22.tar.bz2 
Line 355: Line 359:
     -DDOWNLOAD_MINICONDA=TRUE \     -DDOWNLOAD_MINICONDA=TRUE \
     2>&1 | tee  cmake.log     2>&1 | tee  cmake.log
 +./run_cmake
 +make install
  
  
-Env+Note !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! 
 +The OpenMPI and MPICH system installations provided by CentOS  
 +(i.e., through yum install)  
 +are known to be somehow incompatible with Amber22. 
 +# OUCH !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  
-[hmeij@n100 ~]$ module load cuda/11.6 
  
-[hmeij@n100 ~]$ echo $CUDA_HOME +# GO TO node n100
-/usr/local/cuda+
  
-[hmeij@n100 ~]$ which nvcc mpicc gcc +# copy head node's amber22_src/ to n100:/usr/local/src/tmp/
-/usr/local/cuda/bin/nvcc +
-/opt/ohpc/pub/mpi/openmpi4-gnu9/4.1.1/bin/mpicc +
-/opt/ohpc/pub/compiler/gcc/9.4.0/bin/gcc+
  
-# [FIXED} cmake error on conda install, set to FALSE 
-# OS native python, install on n[100-101] 
--- Python version 3.9 -- OK 
--- Found PythonLibs: /usr/lib64/libpython3.9.so (found version "3.9.6" 
--- Checking for Python package numpy -- not found 
--- Checking for Python package scipy -- not found 
--- Checking for Python package matplotlib -- not found 
--- Checking for Python package setuptools -- found 
-[END FIXED] 
  
-# mpi & cuda FALSE builds serial +source /share/apps/CENTOS8/ohpc/software/amber/22/amber.sh 
-./run_cmake +echo $AMBERHOME
-make install +
-# lots and lots of warnings+
  
-then +install latest openmpi version 
-source /share/apps/CENTOS8/ohpc/software/amber/20/amber.sh+cd amber_src/Ambertools/src 
 +tar xvfj ../../../../openmpi-4.1.4.tar.bz2  
 + 
 +./configure_openmpi gnu # openhpc gcc/gfortran 
  
-# on n100 now, parallel, set miniconda flags to FALSE+ 
 +# on n100 now, parallel, set 
 -MPI=TRUE -MPI=TRUE
 +-DDOWNLOAD_MINICONDA=FALSE
 ./run_cmake ./run_cmake
 make install make install
  
 # on n100 just change cuda flag # on n100 just change cuda flag
 +
 +[hmeij@n100 build]$ module load cuda/11.6
 +[hmeij@n100 build]$ which gcc mpicc nvcc
 +/opt/ohpc/pub/compiler/gcc/9.4.0/bin/gcc
 +/share/apps/CENTOS8/ohpc/software/amber/22/bin/mpicc
 +/usr/local/cuda/bin/nvcc
 +[hmeij@n100 ~]$ echo $CUDA_HOME
 +/usr/local/cuda
 +
 +-MPI=TRUE
 -CUDA=TRUE -CUDA=TRUE
 +-DDOWNLOAD_MINICONDA=FALSE
 ./run_cmake ./run_cmake
 make install make install
 +
 +
 +[hmeij@n100 ~]$ which nvcc mpicc gcc
 +/usr/local/cuda/bin/nvcc
 +/opt/ohpc/pub/mpi/openmpi4-gnu9/4.1.1/bin/mpicc
 +/opt/ohpc/pub/compiler/gcc/9.4.0/bin/gcc
  
 #tests #tests
Line 407: Line 423:
  
 </code> </code>
- 
-**[[cluster:0|Back]]** 
  
  
 **[[cluster:0|Back]]** **[[cluster:0|Back]]**
  
cluster/213.1658755196.txt.gz · Last modified: 2022/07/25 09:19 by hmeij07